Subject: Re: [tcpinc] Consensus call: questions posed at the Berlin session

From: "Black, David" <[email-masked]>
Date: Wed, 3 Aug 2016 21:16:02 +0000

What Kyle said ;-).

Kyle’s original message reported the “sense of the room” in Berlin.   The purpose of that email was to give anyone who wasn’t in Berlin an opportunity to object - having seen no such objections, the chairs will proceed on the basis that this is the rough consensus of the tcpinc WG on these matters:

TCP-ENO

1. Eliminate the m bit for now and replace it with another z bit? (The intention is that the m bit will be defined by a later draft that makes use of it.) Y*/N
2. Eliminate length word for ENO suboptions (restricting all but the last suboption to 32 bytes of data)? Y*/N
3. Change "spec" to "TCPINC Encryption Protocol", and use "TEP" as acronym? Y*/N
4. Add RFC-5705-like key exporter mechanism? Y/N*

tcpcrypt

5. Encrypt frame lengths? Y/N*
** The next question was a bit muddied, so I have separated it into two questions:

6a. Add a separate API document for tcpcrypt? Y/N*
6b. Move API description in tcpcrypt draft to a separate section of the ENO API draft? Y*/N

FWIW, I have seen situations where mailing list discussion has overturned, or at least called into question, a meeting “sense of the room” conclusion.  It only takes one cogent technical objection on the list ...

Thanks, --David

From: Tcpinc [mailto:[email-masked]] On Behalf Of Kyle Rose
Sent: Monday, July 25, 2016 2:05 PM
To: Daniel Kahn Gillmor
Cc: tcpinc
Subject: Re: [tcpinc] Consensus call: questions posed at the Berlin session

What I'm looking for is substantive dissent from what was decided in the room, such that rough consensus is called into question, and to save folks the effort of responding if they are in agreement with what was provisionally decided at the meeting.

But you (or anyone else) should absolutely feel free to post a response even if you were in attendance.

I think this is in the spirit of "conduct business on the mailing list" because the questions are still open until we've either confirmed or overturned rough consensus on each.
Thanks,
Kyle

On Mon, Jul 25, 2016 at 12:28 PM, Daniel Kahn Gillmor <[email-masked]<mailto:[email-masked]>> wrote:
On Mon 2016-07-25 07:29:23 -0400, Kyle Rose wrote:
> Here is a list of questions posed at the Berlin session, along with the
> rough consensus established among those in the room. Please respond to each
> by number if you were not in attendance and have an opinion, especially if
> that differs from the meeting consensus, indicated by a * after each
> question.

Does this mean that the chairs do not want e-mailed responses from
people who were in attendance?

     --dkg